<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

// comuser_uploader плагин для MaxSite CMS
// Настройки шаблона вывода


$default = array(
		'uploads_slug' => 'uploads',
		'profile_slug' => 'profile',
		'profiles_slug' => 'profiles',
		'profile_title' => 'Личный кабинет',		
		'profiles_title' => 'Пользователи',
		'uploads_title' => 'Загрузки пользователей',
		'upload_title' => 'Управление загрузками',
		'user_uploads_title' => '1',
		
);

	mso_admin_plugin_options('comuser_uploader_options_template', 'plugins', 
		array(
			'uploads_slug' => array(
						'type' => 'text', 
						'name' => t('Сегмент для загрузок "uploads"', 'plugins'), 
						'description' => t('Для ссылок вида siteurl/profile/uploads   siteurl/profiles/1/uploads', 'plugins'),
						'default' => $default['uploads_slug']
			),

			'profile_slug' => array(
						'type' => 'text', 
						'name' => t('Сегмент для страницы личного кабинета "profile"', 'plugins'), 
						'description' => t('Для ссылок вида siteurl/profile/uploads', 'plugins'),
						'default' => $default['profile_slug']
			),
			
			'profiles_slug' => array(
						'type' => 'text', 
						'name' => t('Сегмент для публичных страниц "profiles"', 'plugins'), 
						'description' => t('Для ссылок вида siteurl/profiles/1/uploads', 'plugins'),
						'default' => $default['profiles_slug']
			),	

			'profile_title' => array(
						'type' => 'text', 
						'name' => t('Личный кабинет', 'plugins'), 
						'description' => t('Заголовок страницы siteurl/profile/', 'plugins'),
						'default' => $default['profile_title']
			),
			
			'profiles_title' => array(
						'type' => 'text', 
						'name' => t('Пользователи', 'plugins'), 
						'description' => t('Заголовок страницы siteurl/profiles/', 'plugins'),
						'default' => $default['profiles_title']
			),
			
			'uploads_title' => array(
						'type' => 'text', 
						'name' => t('Загрузки пользователей', 'plugins'), 
						'description' => t('Заголовок страницы siteurl/profiles/1/uploads', 'plugins'),
						'default' => $default['uploads_title']				
			),
			
			'upload_title' => array(
						'type' => 'text', 
						'name' => t('Управление загрузками', 'plugins'),
						'description' => t('Заголовок страницы siteurl/profile/uploads', 'plugins'),
						'default' => $default['upload_title']			
			),	
			
			'user_uploads_title' => array(
						'type' => 'select', 
						'name' => t('Выводить заголовок на страницах', 'plugins'),
						'description' => t('Будет выведен заголовок или обойдемся хлебными крошками', 'plugins'),
						'values' => t('0||Не выводить #1||Выводить', 'plugins'),
						'default' => $default['user_uploads_title']				
			),


		),
		t('Загрузки комюзеров - опции шаблона', 'plugins'), // титул
		t('Настройки вывода страниц сайта', 'plugins')   // инфо
	);
?>
