<?php if (!defined('BASEPATH')) exit('No direct script access allowed');  


// вставляем файловый загрузчик для комюзера $comusers_id
// в комментарий 

$comusers_id = $comuser['comusers_id'];
    
//Получаем настройки
$options = mso_get_option('comuser_uploader', 'plugins', array() );	
  
$options_template = mso_get_option('comuser_uploads_options_template', 'plugins', array());

if (isset($options_template['uploads_slug'])) $uploads_slug = $options_template['uploads_slug'];
else $uploads_slug = 'uploads';
  
if (isset($options_template['profile_slug'])) $profile_slug = $options_template['profile_slug'];
else $profile_slug = 'profile';

if (isset($options_template['uploads_title'])) $uploads_title = $options_template['uploads_title'];
else $uploads_title = 'Загрузки';
  
$allowed_types = (isset($options['allowed_types_comuser'])) ? $options['allowed_types_comuser'] : 'gif|jpg|jpeg|png';
$upload_max_file_size = (isset($options['upload_max_file_size'])) ? $options['upload_max_file_size'] : '20000000';

//$allowed_types = str_replace ("|", ",", $allowed_types);
$show_size = (isset($options['show_size'])) ? $options['show_size'] : '1';

$subdir = (isset($options['user_subdir'])) ? $options['user_subdir'] : 'userfile';
$subdir = getinfo('uploads_dir') . $subdir;
$up_dir = $subdir . '/' . $comusers_id;

echo '<div class="all-files" id="all-files">';
	
$update_path = getinfo('ajax') . base64_encode('plugins/comuser_uploader/all-files-update-ajax.php'); 

if (!is_dir($subdir) ) // нет каталога
{
		// нет каталога, пробуем создать
		@mkdir($subdir, 0777); 
		@mkdir($subdir . '/_mso_i', 0777); 
		@mkdir($subdir . '/mini', 0777);
}

if (!is_dir($up_dir) ) // нет каталога
{
		// нет каталога, пробуем создать
		@mkdir($up_dir, 0777); 
		@mkdir($up_dir . '/_mso_i', 0777); 
		@mkdir($up_dir . '/mini', 0777);
}
	
if (is_dir($up_dir) ) // каталог есть 
{
	
	// скрипт выполняет аякс
	// первый раз при загрузке страницы
	// после по клику на ссылке Обновить
	
	// для лайтбокса проверяем наличие функции из плагина lightbox_head
	
	if (!function_exists('lightbox_head')) $lightbox = '';
	else
	{
		$url = getinfo('plugins_url') . 'lightbox/';
		$t_izob = t('Изображение');
		$t_iz = t('из');
		
		$lightbox = <<<EOF
var lburl = "{$url}images/";
$("a.lightbox").lightBox({
	imageLoading: lburl+"lightbox-ico-loading.gif",
	imageBtnClose: lburl+"lightbox-btn-close.gif",
	imageBtnPrev: lburl+"lightbox-btn-prev.gif",
	imageBtnNext: lburl+"lightbox-btn-next.gif",
	imageBlank: lburl+"lightbox-blank.gif",
	txtImage: "{$t_izob}",
	txtOf: "{$t_iz}",
});
EOF;
	}
	
	echo '<script>
function lbox() {
' . $lightbox . '
}



$(function(){
	$.post(
		"' . $update_path . '",
		{
			comusers_id: "' . $comusers_id . '"
		},
		function(data)
		{
			$("#all-files-result").html(data);
			lbox();
		}
	);

	$(window).on("storage", function(e) {
		var pageId = window.location.pathname.match(/\d+$/)[0],
			event = e.originalEvent;

		if (event.newValue === pageId) {
			$("#all-files-result").html("' . t('Обновление...') . '");

			$.post(
				"' . $update_path . '",
				{
					comusers_id: "' . $comusers_id . '"
				},
				function(data)
				{
					$("#all-files-result").html(data);
					lbox();
					localStorage.clear();
				}
			);
		}
	});

	$("#all-files").slideToggle();
	$("#all-files-upload").click(function(event){
		all_files_upload_toggle();
		return false;
	});
	
	
	function all_files_upload_toggle()
	{
		destination = $("#comments_content").offset().top;
		$("body,html").animate({scrollTop: destination}, 800);
		
		$("#all-files").slideToggle();
		$("#upload_messages").html("");
		$("#upload_progress").html("");
		$("#all-files-upload").toggleClass("selected");
	}
	
});
</script>';


echo '
<div id="all-files-upload-panel" class="all-files-upload-panel">

<input type="hidden" id="upload_max_file_size" name="upload_max_file_size" value="' . $upload_max_file_size. '">
<input type="hidden" id="upload_action" name="upload_action" value="' . getinfo('require-maxsite') . base64_encode('plugins/comuser_uploader/uploads-require-maxsite.php') . '">
<input type="hidden" id="upload_ext" name="upload_ext" value="' . $allowed_types . '">
<input type="hidden" id="update_path" name="update_path" value="' . $update_path . '">
<input type="hidden" id="comusers_id" name="comusers_id" value="' . $comusers_id . '">

<div class="flex flex-wrap">
	<div class="flex-grow1 pad20-r">
		<div id="upload_filedrag">' . t('... перетащите файлы сюда ...') . '</div>
		<input class="w-auto mar10-b" type="file" id="upload_fileselect" name="upload_fileselect[]" multiple="multiple">
	</div>
	<div class="mar10-tb">
	  <div class="flex-grow1">
		<label class="b-inline pad10-b mar20-r"><input type="checkbox" id="upload_replace_file" name="upload_replace_file" checked> ' . t('Заменять существующие файлы') .'</label>
	  </div>
	  <div class="flex-grow1">
		<label class="b-inline pad10-b mar20-r"><a target="_blank" href="' . getinfo('siteurl') . $profile_slug . '/' . $uploads_slug . '" title="' . t('Страница управления загрузками в личном кабинете') . '">' . $uploads_title . '</a></label>
	  </div>
	</div>
</div>

<div id="upload_submitbutton"><button type="button">Upload Files</button></div>
<div class="mar10-tb" id="upload_progress"></div>
<div class="mar10-tb" id="upload_messages"></div>
</div>
<div class="mar10-tb" id="upload_messages">' . t('Кликните чтобы добавить в текст') . '</div>
<div id="all-files-result" class="all-files-result">' . t('Загрузка...') . '</div>	
</div>'; // <div class="all-files">
	
    	
}
else echo t('Не удалось создать каталог для файлов пользователя');


?>