<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
 
 // публичная страница загрузок 
 
  $comuser = is_login_comuser();
  $comusers_id = $segment2;
  $error = false;
  $comuser_info['comusers_nik'] = '';
  $comuser_info['comusers_id'] = '';
  $comusers_nik = '';
  $comusers_list = '';
  if (!isset($options_template['user_uploads_title'])) $options_template['user_uploads_title'] = true;
  if (!isset($options_template['uploads_title'])) $options_template['uploads_title'] = 'Загрузки пользователей';  
  if (!isset($options['no_public_uploads'])) $options['no_public_uploads'] = '0';  
  if (!isset($options_template['profiles_title'])) $options_template['profiles_title'] = 'Пользователи';  

  // строим список пользователей и находим текущего пользователя
  $all_count = get_userfile_count();
  if ($all_count)
  {
    foreach ($all_count as $cur)
    {
		if (!$cur['comusers_nik']) $cur['comusers_nik'] = t('Пользователь'). ' ' . $cur['comusers_id'];
		if ($cur['comusers_id'] == $comusers_id)
		{	
			if ($cur['filecount']) $comusers_list .= $cur['comusers_nik'] . '(' . $cur['filecount'] . ') ';
		    $comusers_nik = $cur['comusers_nik'];
			$comuser_info['comusers_nik'] = $comusers_nik;
			$comuser_info['comusers_id'] = $comusers_id;

		}
		else 
			if ($cur['filecount']) $comusers_list .= '<a href="' . getinfo('siteurl') . $options_template['profiles_slug'] . '/' . $cur['comusers_id'] . '/' . $options_template['uploads_slug'] . '">' . $cur['comusers_nik'] . '(' . $cur['filecount'] . ')</a> ';       
    }
  }  

  mso_head_meta('title', $comusers_nik . ' » ' . $options_template['uploads_title']); // meta title страницы


  // для компонента хлебных крошек
  $breadcrumbs2 = '<a class="i-angle-right mar10-l" href="' . getinfo('siteurl') . $options_template['profiles_slug'] . '">' . $options_template['profiles_title'] . '</a>';
  $breadcrumbs3 = '<a class="i-angle-right mar10-l" href="' . getinfo('siteurl') . $options_template['profiles_slug'] . '/' . $segment2 .'">' . $comusers_nik . '</a>';
  $breadcrumbs4 = '<span class="i-angle-right mar10-l bold">' . $options_template['uploads_title'] .'</span>';  

  
  require(getinfo('shared_dir') . 'main/main-start.php');
  echo NR . '<div class="type type_users_form">' . NR;

  // пытаемся взять файл меню личного кабинета из плагина profile	  
  $menu_file = getinfo('plugins_dir') . 'profile/pub_pages/menu-profiles.php'; 
  if (file_exists($menu_file))
  {
	   // само меню нужно взять из плагина profile и поместить в $options['pages']
      $options_profile = mso_get_option('profile', 'plugins', array());
      $options['pages_main'] = isset($options_profile['pages_main']) ? $options_profile['pages_main'] : '';
      $options['pages_profiles'] = isset($options_profile['pages_profiles']) ? $options_profile['pages_profiles'] : '';
	  
      $options['profiles_slug'] = $options_template['profiles_slug'];	  
	  require ($menu_file); 
  }	  

  // заголовок 
  if ($options_template['user_uploads_title']) echo '<H3>' . $options_template['uploads_title'] . ' - ' . $comusers_nik . '</H3>';
  
  echo '<div class="uploads_users">' . $comusers_list . '</div>';

  // вставим загрузчик файлов
  if ($options['no_public_uploads'] == '0') // проверим доступность
      require (getinfo('plugins_dir') . 'comuser_uploader/manager-uploads_all.php'); 
  else echo t('Нет доступа к просмотру файлов');

  
  echo NR . '</div><!-- class="type type_users_form" -->' . NR;
  require(getinfo('shared_dir') . 'main/main-end.php');


//___________________________________________________________________________


// функция возвращает кол-во файлов в uploads каждого пользователя
function get_userfile_count()
{
  $key_cache = 'get_userfiles_count';
  if ( $k = mso_get_cache($key_cache) ) return $k; // да есть в кэше
	
  require_once( getinfo('common_dir') . 'comments.php' ); 
  $comusers = mso_get_comusers_all(); // получим всех комюзеров	
  $res = array();
  
	$CI = & get_instance();
	$CI->load->helper('file'); // хелпер для работы с файлами
	$CI->load->helper('directory');

	$path = getinfo('uploads_dir') . 'userfile/';
		  
  if ($comusers)
	  foreach ($comusers as $comuser)
	  {
	    	$count = 0;    	   
	    	if (@is_dir($path . $comuser['comusers_id'])) // это каталог	  
	    	{
            $dirs = directory_map($path . $comuser['comusers_id'] , true);	
      	    foreach ($dirs as $file)
	          {
	             $file_full_path = $path . $file;
		           if (@is_dir($file_full_path)) continue; // это каталог
		           if ($file == 'avatar.jpg') continue; // это служебный файл	   
		           $count++;
		        }   	
	    	}
	    	$comuser['filecount'] = $count;
	    	$res[$comuser['comusers_id']] = $comuser;
	  }
	
	mso_add_cache($key_cache, $res);
	return $res;
}
?>