<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * comuser_uploader - плагин для MaxSite CMS 
 * загрузка файлов комюзерами и вставка в комментарий
**/


// Виджет _______________________________________________________________________________

function use_uploads_widget($num = 1) 
{
	$widget = 'use_uploads_widget_' . $num; // имя для опций = виджет + номер
  //  if ( $k = mso_get_cache($widget) ) return $k; // да есть в кэше	
    
    require_once(getinfo('plugins_dir') . 'comuser_uploader/functions_userfile.php');
	$out = '';
    $width = '';
	$subdir = 'userfile';
	$options = mso_get_option($widget, 'plugins', array() ); // получаем опции
	
	$uploads_dir = getinfo('uploads_dir');
	$uploads_url = getinfo('uploads_url');
	
	if ( !isset($options['img_prev_attr'])) 	$options['img_prev_attr'] = 'class="left"';
	if ( !isset($options['header']) )	$options['header'] = 'Загрузки пользователей';
	if ( !isset($options['text_do']) ) 		$options['text_do'] = '';
	if ( !isset($options['text_posle']) ) 		$options['text_posle'] = '<div class="clearfix"></div><a href="' . getinfo('siteurl') . 'profiles/1/uploads" title="Все, загруженное пользователями">Все загрузки</a>';
	if ( !isset($options['block_start']) ) 		$options['block_start'] = '';
	if ( !isset($options['block_end']) ) 		$options['block_end'] = '';
	if ( !isset($options['count']) ) 		$options['count'] = 4;
	if ( !isset($options['go']) ) 		$options['go'] = 'Перейти к обсуждению';
	if ( !isset($options['allowed_types_widget'])) 	$options['allowed_types_widget'] = 'gif|jpg|jpeg|png';
    
    // получим все userfiles/id
    $CI = & get_instance();
	$CI->load->helper('file'); // хелпер для работы с файлами
	$CI->load->helper('directory');

	$path = $uploads_dir . $subdir . '/';

	$dirs = directory_map($path, true); // только в текущем каталоге
	if (!$dirs) $dirs = array();

    $userfiles = array();
	foreach ($dirs as $dir)
	{
		if (!is_dir($path . $dir)) continue; // это не каталог
		if (!is_numeric($dir)) continue;
		$cur_userfiles = get_userfiles($dir , $subdir , 1 , false , true , $options['count']);
		if ($cur_userfiles) $userfiles = array_merge($userfiles , $cur_userfiles);
    }

    if ($userfiles)
	{	
       uasort($userfiles , '_sort_use_userfiles');

	   $i=0; // счетчик 
	   foreach ($userfiles as $file)
	   {
	      $ext = strtolower(str_replace('.', '', strrchr($file['file'], '.'))); // расширение файла
	      $allowed_ext = explode('|', $options['allowed_types_widget']);	
	      if (!in_array($ext, $allowed_ext)) continue;		   
	      if (isset($file['use'][0]) )
	      {
			require(getinfo('plugins_dir') . 'comuser_uploader/out_foreach.php'); 
	      }  
		  $i++;
		  if ($i==$options['count']) break;    
       }
    }
	
	if ($out)
	    $out = $options['text_do'] . $out . $options['text_posle'];

	// заменим заголовок, чтобы был в  h2 class="box"
	if ( isset($options['header']) and $options['header'] ) 
				$options['header'] = mso_get_val('widget_header_start', '<div class="mso-widget-header"><span>') . $options['header'] . mso_get_val('widget_header_end', '</span></div>');
		else $options['header'] = '';
	
    if ($options['header']) $out = $options['header'] . $out;
	   
	mso_add_cache($widget, $out);
	return $out;
}

function _sort_use_userfiles($a, $b) //date
{
	if ( $a['use_date'] == $b['use_date'] ) return 0;
	return ( $a['use_date'] < $b['use_date'] ) ? 1 : -1;
}

function use_uploads_widget_form($num = 1)
{
	$widget = 'use_uploads_widget_' . $num; // имя для формы и опций = виджет + номер
	// получаем опции
	$options = mso_get_option($widget, 'plugins', array());
	
	if ( !isset($options['header']) )	$options['header'] = 'Загрузки пользователей';
	if ( !isset($options['text_do']) ) 		$options['text_do'] = '';
	if ( !isset($options['text_posle']) ) 		$options['text_posle'] = '<div class="clearfix"></div><a href="' . getinfo('siteurl') . 'profiles/1/uploads" title="Все, загруженное пользователями">Все загрузки</a>';
	if ( !isset($options['block_start']) ) 		$options['block_start'] = '';
	if ( !isset($options['block_end']) ) 		$options['block_end'] = '';
	if ( !isset($options['img_prev_attr'])) 	$options['img_prev_attr'] = 'class="left"';
	if ( !isset($options['count'])) 	$options['count'] = 4;
	if ( !isset($options['go'])) 	$options['go'] = 'Перейти к обсуждению';
	if ( !isset($options['allowed_types_widget'])) 	$options['allowed_types_widget'] = 'gif|jpg|jpeg|png';

	// вывод самой формы
	$CI = & get_instance();
	$CI->load->helper('form');
	$form = mso_widget_create_form(t('Заголовок'), form_input( array( 'name'=>$widget . 'header', 'value'=>$options['header'] ) ), '');
	$form .= mso_widget_create_form(t('Текст до'), form_input( array( 'name'=>$widget . 'text_do', 'value'=>$options['text_do'] ) ), '');
	$form .= mso_widget_create_form(t('Текст после'), form_input( array( 'name'=>$widget . 'text_posle', 'value'=>$options['text_posle'] ) ), '');
	$form .= mso_widget_create_form(t('До блока'), form_input( array( 'name'=>$widget . 'block_start', 'value'=>$options['block_start'] ) ), '');
	$form .= mso_widget_create_form(t('После блока'), form_input( array( 'name'=>$widget . 'block_end', 'value'=>$options['block_end'] ) ), '');
	$form .= mso_widget_create_form(t('Стиль'), form_input( array( 'name'=>$widget . 'img_prev_attr', 'value'=>$options['img_prev_attr'] ) ), '');
	$form .= mso_widget_create_form(t('Колличество'), form_input( array( 'name'=>$widget . 'count', 'value'=>$options['count'] ) ), '');
	$form .= mso_widget_create_form(t('title ссылки'), form_input( array( 'name'=>$widget . 'go', 'value'=>$options['go'] ) ), '');
	$form .= mso_widget_create_form(t('Разрешенные расширения'), form_input( array( 'name'=>$widget . '', 'value'=>$options['allowed_types_widget'] ) ), '');
	
	return $form;
}


function use_uploads_widget_update($num = 1)
{
	$widget = 'use_uploads_widget_' . $num; // имя для опций = виджет + номер

	// получаем опции
	$options = $newoptions = mso_get_option($widget, 'plugins', array());

	# обрабатываем POST
	$newoptions['header'] = mso_widget_get_post($widget . 'header');
	$newoptions['text_do'] = mso_widget_get_post($widget . 'text_do');
	$newoptions['text_posle'] = mso_widget_get_post($widget . 'text_posle');
	$newoptions['block_start'] = mso_widget_get_post($widget . 'block_start');
	$newoptions['block_end'] = mso_widget_get_post($widget . 'block_end');
	$newoptions['img_prev_attr'] = mso_widget_get_post($widget . 'img_prev_attr');
	$newoptions['count'] = mso_widget_get_post($widget . 'count');
	$newoptions['go'] = mso_widget_get_post($widget . 'go');
	
	
	if ( $options != $newoptions )
		mso_add_option($widget, $newoptions, 'plugins' );
}
?>